Package com.avaya.clientservices.media.codec

## Class VideoCodecInfo

- java.lang.Object
- - com.avaya.clientservices.media.codec.VideoCodecInfo

-     public class VideoCodecInfo
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `VideoCodecInfo.PredicateVideoCodecInfo` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoCodecInfo​(boolean bEncoder, java.lang.String strFormat, android.media.MediaCodecInfo info)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `AvcLevelToString​(int level)` |
    `static java.lang.String` | `AvcProfileToString​(int profile)` |
    `static java.lang.String` | `ColorToString​(int color)` |
    `int` | `compareTo​(VideoCodecInfo other)` |
    `android.media.MediaCodec` | `createCodec()` |
    `static VideoCodecInfo` | `findCodecInfoForFormat​(boolean bEncoder, java.lang.String strFormat, java.lang.Object objTestFunction)` |
    `static VideoCodecInfo` | `getCodecInfoForFormat​(boolean bEncoder, java.lang.String strFormat)` |
    `static java.lang.String` | `getDriverForFormat​(boolean bEncoder, java.lang.String strFormat, java.lang.Object objTestFunction)` |
    `java.lang.String` | `getFormat()` |
    `int` | `getHeightAlignment()` |
    `int` | `getMaxLevel​(int profile)` |
    `int` | `getMaxProfile()` |
    `int` | `getMaxProfileForLevel​(int nRequestedProfile, int nRequestedLevel)` |
    `java.lang.String` | `getName()` |
    `int` | `getSupportedColorFormat​(int nRequested)` |
    `int` | `getSupportedHeight​(int nRequested)` |
    `int` | `getSupportedWidth​(int nRequested)` |
    `int` | `getWidthAlignment()` |
    `static boolean` | `HasLibMediaNdk()` |
    `boolean` | `isEncoder()` |
    `boolean` | `isH263()` |
    `boolean` | `isH264()` |
    `boolean` | `isH265()` |
    `boolean` | `isVP8()` |
    `void` | `log()` |
    `static void` | `logCodecs​(boolean bEncoder, java.lang.String strFormat)` |
    `boolean` | `supportsBps​(int nBPS)` |
    `boolean` | `supportsColor​(int nColor)` |
    `boolean` | `supportsFps​(int nFPS)` |
    `boolean` | `supportsHeight​(int nHeight)` |
    `int` | `supportsLevel​(int level)` |
    `boolean` | `supportsProfile​(int profile)` |
    `boolean` | `supportsProfileAndLevel​(int profile, int level)` |
    `boolean` | `supportsWidth​(int nWidth)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoCodecInfo

          public VideoCodecInfo​(boolean bEncoder,
                                java.lang.String strFormat,
                                android.media.MediaCodecInfo info)

  - ### Method Detail

    - #### HasLibMediaNdk

          public static boolean HasLibMediaNdk()

    - #### getDriverForFormat

          public static java.lang.String getDriverForFormat​(boolean bEncoder,
                                                            java.lang.String strFormat,
                                                            java.lang.Object objTestFunction)

    - #### getCodecInfoForFormat

          public static VideoCodecInfo getCodecInfoForFormat​(boolean bEncoder,
                                                             java.lang.String strFormat)

    - #### findCodecInfoForFormat

          public static VideoCodecInfo findCodecInfoForFormat​(boolean bEncoder,
                                                              java.lang.String strFormat,
                                                              java.lang.Object objTestFunction)

    - #### logCodecs

          public static void logCodecs​(boolean bEncoder,
                                       java.lang.String strFormat)

    - #### createCodec

          public android.media.MediaCodec createCodec()

    - #### compareTo

          public int compareTo​(VideoCodecInfo other)

    - #### getName

          public java.lang.String getName()

    - #### isEncoder

          public boolean isEncoder()

    - #### getFormat

          public java.lang.String getFormat()

    - #### isH265

          public boolean isH265()

    - #### isH264

          public boolean isH264()

    - #### isH263

          public boolean isH263()

    - #### isVP8

          public boolean isVP8()

    - #### supportsProfile

          public boolean supportsProfile​(int profile)

    - #### supportsLevel

          public int supportsLevel​(int level)

    - #### supportsProfileAndLevel

          public boolean supportsProfileAndLevel​(int profile,
                                                 int level)

    - #### getMaxProfileForLevel

          public int getMaxProfileForLevel​(int nRequestedProfile,
                                           int nRequestedLevel)

    - #### getMaxProfile

          public int getMaxProfile()

    - #### getMaxLevel

          public int getMaxLevel​(int profile)

    - #### supportsColor

          public boolean supportsColor​(int nColor)

    - #### supportsBps

          public boolean supportsBps​(int nBPS)

    - #### supportsFps

          public boolean supportsFps​(int nFPS)

    - #### getSupportedColorFormat

          public int getSupportedColorFormat​(int nRequested)

    - #### getSupportedWidth

          public int getSupportedWidth​(int nRequested)

    - #### getSupportedHeight

          public int getSupportedHeight​(int nRequested)

    - #### supportsWidth

          public boolean supportsWidth​(int nWidth)

    - #### supportsHeight

          public boolean supportsHeight​(int nHeight)

    - #### getWidthAlignment

          public int getWidthAlignment()

    - #### getHeightAlignment

          public int getHeightAlignment()

    - #### log

          public void log()

    - #### AvcProfileToString

          public static java.lang.String AvcProfileToString​(int profile)

    - #### AvcLevelToString

          public static java.lang.String AvcLevelToString​(int level)

    - #### ColorToString

          public static java.lang.String ColorToString​(int color)